package Message

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Message"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /message Message GetMessageById
//
// Get message by ID | 通过ID获取Message
//
// Get message by ID | 通过ID获取Message
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: MessageInfoResp

func GetMessageByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Message.NewGetMessageByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetMessageById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
